<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="chrome://resources/cr_components/chromeos/network/mojo_interface_provider.html">
<link rel="import" href="chrome://resources/cr_elements/cr_action_menu/cr_action_menu.html">
<link rel="import" href="chrome://resources/cr_elements/cr_icon_button/cr_icon_button.html">
<link rel="import" href="chrome://resources/cr_elements/cr_lazy_render/cr_lazy_render.html">
<link rel="import" href="chrome://resources/cr_elements/shared_vars_css.html">
<link rel="import" href="chrome://resources/html/i18n_behavior.html">
<link rel="import" href="../../router.html">
<link rel="import" href="../../settings_shared_css.html">
<link rel="import" href="../os_route.html">

<dom-module id="settings-internet-detail-menu">
  <template>
    <style include="cr-shared-style settings-shared iron-flex">
      cr-action-menu.dropdown-item {
        min-height: 36px;
      }

      cr-action-menu hr {
        /* Override user-agent border and margin. */
        border: none;
        border-top: var(--cr-separator-line);
        margin: 6px 0 0 0;
      }
    </style>
    <template is="dom-if" if="[[shouldShowDotsMenuButton_(iccid_)]]">
      <cr-icon-button class="icon-more-vert"
          title="$i18n{moreActions}"
          id="moreNetworkDetail"
          on-click="onDotsClick_">
      </cr-icon-button>
    </template>
    <cr-lazy-render id="menu">
      <template>
        <cr-action-menu role-description="$i18n{menu}">
          <button class="dropdown-item"
              id="renameBtn"
              on-click="onRenameESimProfileTap_"
              role="menuitem"
              title="$i18n{networkDetailMenuRenameESim}">
            $i18n{networkDetailMenuRenameESim}
          </button>
          <hr>
          <button class="dropdown-item"
              on-click="onRemoveESimProfileTap_"
              role="menuitem"
              id="removeBtn"
              title="$i18n{networkDetailMenuRemoveESim}">
            $i18n{networkDetailMenuRemoveESim}
          </button>
        </cr-action-menu>
      </template>
    </cr-lazy-render>
  </template>
  <script src="internet_detail_menu.js"></script>
</dom-module>
